Cyberduck Mountain Duck CLI

#2027 closed defect (wontfix)

Directory listing failure for drftpd virtual folders

Reported by: anonymous Owned by: dkocher
Priority: normal Milestone: 3.0.2
Component: ftp Version: 3.0b3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Since beta3 (beta2 workes good) i have a problem when downloading files from a drftpd server. The problem is, that if i download a whole folder, it starts downloading for a few files but very soon gives errors like "unable to get folder content". I switched back to beta2 and it works again. Hope this report helps to fix it.

Simon

Change History (9)

comment:1 Changed on May 11, 2008 at 4:22:38 PM by dkocher

  • Component changed from core to ftp
  • Milestone changed from 3.1 to 3.0
  • Status changed from new to assigned

Can you post the transcript from View → Log Drawer.

comment:2 Changed on May 11, 2008 at 7:05:39 PM by anonymous

sure, here it comes:

AUTH TLS
234 AUTH TLS successful
PBSZ 0
200 Command okay
PROT P
200 Command okay
USER asd
331 Password required for asd.
PASS ********
230 asd logged in successfully.
NOOP
200 Command okay
NOOP
200 Command okay
SYST
215 UNIX system type.
CWD /test/0509
250 Directory changed to /test/0509
FEAT
211-Extensions supported:
 PRET
 AUTH SSL
 PBSZ
 CPSV
 SSCN
 CLNT
 NOOP
 MLST type*,x.crc32*,size*,modify*,unix.owner*,unix.group*,x.slaves*,x.xfertime*
211 End
PRET LIST -a
200 OK, will use master for upcoming transfer
PASV
227 Entering Passive Mode (xxxxx).
LIST -a
150 File status okay; about to open data connection.
total 0
...
...
...
226 Closing data connection
NOOP
200 Command okay
NOOP
200 Command okay
CWD /test/0509/test
PRET LIST -a
200 OK, will use master for upcoming transfer
PASV
227 Entering Passive Mode (xxxxxxxx).
LIST -a
150 File status okay; about to open data connection.
total 0
...
...
...
226 Closing data connection
NOOP
200 Command okay
CWD /test/0509/test/[ 15 of 15 files = 100% complete of 76.5MB | Hip-Hop 2008] 
550 /test/0509/test/[ 15 of 15 files = 100% complete of 76.5MB | Hip-Hop 2008]: File not found
TYPE I
200 Command okay
PRET RETR xxxxxxx
200 OK, will use slaves for upcoming transfer
PASV
227 Entering Passive Mode (xxxxx).
RETR xxxxxxxx
150 File status okay; about to open data connection from slave.
226- Checksum from transfer: 3bd7a578
226- checksum from transfer matched checksum in .sfv
226 Transfer complete, 1.1MB in 2.926 seconds (374.1KB/s)
PRET RETR xxxxxxxx
200 OK, will use slave for upcoming transfer
PASV
227 Entering Passive Mode (xxxxxxxx).
RETR xxxxxxxxx
150 File status okay; about to open data connection from slave.
226- Checksum from transfer: 50ab6fe0
226- checksum from transfer matched checksum in .sfv
226 Transfer complete, 4.9MB in 17.804 seconds (275.0KB/s)
PRET RETR xxxxxxxxxx
200 OK, will use slave for upcoming transfer
PASV
227 Entering Passive Mode (xxxxxxxxxx).
RETR xxxxxxxxxxx
150 File status okay; about to open data connection from slave.
226- Checksum from transfer: b9d3144f
226 Transfer complete, 20.8KB in 0.113 seconds (183.7KB/s)
PRET RETR xxxxxxxxx
200 OK, will use slave for upcoming transfer
PASV
227 Entering Passive Mode (xxxxxxxx).
RETR xxxxxxxxx
150 File status okay; about to open data connection from slave.
NOOP
226- Checksum from transfer: 5b042584
226- checksum from transfer matched checksum in .sfv
226 Transfer complete, 6.3MB in 21.087 seconds (298.6KB/s)

thats what the log window gives me.

The exact error message i get (in german) is: "FTP Fehler: Ordnerinhalt anzeige fehlgeschlagen"

Last edited on Mar 11, 2011 at 10:06:55 PM by dkocher (previous) (diff)

comment:3 Changed on May 13, 2008 at 7:02:28 PM by dkocher

  • Milestone changed from 3.0 to 3.0.1
CWD /test/0509/test/[ 15 of 15 files = 100% complete of 76.5MB | Hip-Hop
2008]
550 /test/0509/test/[ 15 of 15 files = 100% complete of 76.5MB | Hip-Hop
2008]: File not found

I suppose this is not a new issue in Beta 3 but a issue with the particular folder name.

comment:4 Changed on May 14, 2008 at 2:21:28 PM by anonymous

But how comes beta2 handles this without Problems? When i start a download with beta2 (same folder) it runs through and in the end reports an error about not beeing able to download this "xx files of xx files complete" folder (i have not been able to skip this using the regex option, you have an idea?). But with beta3 this error pops up after a couple of files and also several times. So there must have been some change i guess.

comment:5 Changed on May 14, 2008 at 3:38:44 PM by anonymous

Just for information: Those folders dont actually exist in the FTP tree. Drftpd just shows them but you cant access/browse as they are only virtual ones. An option to skip them may be enough.

comment:6 Changed on May 15, 2008 at 7:46:33 PM by dkocher

  • Milestone changed from 3.0.1 to 3.1
  • Summary changed from beta3 introduced download problem to Directory listing failure for drftpd virtual folders

comment:7 Changed on May 31, 2008 at 8:43:43 AM by dkocher

  • Resolution set to wontfix
  • Status changed from assigned to closed

You may want to exclude these using the regular expression feature in the Advanced Transfer Preferences.

comment:8 follow-up: Changed on May 31, 2008 at 3:29:53 PM by anonymous

Could you maybe point me in the right direction about how the regex must look like (example for the dir above)?

comment:9 in reply to: ↑ 8 Changed on May 31, 2008 at 11:05:30 PM by dkocher

Replying to anonymous:

Could you maybe point me in the right direction about how the regex must look like (example for the dir above)?

For example to exclude all folders that begin with a [ bracket followed by any text, use

^\[(.)*
Note: See TracTickets for help on using tickets.
swiss made software